/******************************************************************************
* C Include: Image Section List                                               *
*                                                                             *
* File:                                                                       *
*    imgsnlst.h                                                               *
*                                                                             *
* Description:                                                                *
*    Include file for the Image Section List functions.                       *
*                                                                             *
* History:                                                                    *
*    Created    : 17-AUG-93 by J. Doggett,                                    *
*       for the Association of Universities for Research in Astronomy, Inc.   *
*          at the Space Telescope Science Institute,                          *
*       to facilitate the accessing of data from the CD-ROM set of the        *
*          Digitized Sky Survey.                                              *
*    Delivered  : 01-MAR-94 by J. Doggett,                                    *
*       GetImage Version 1.0                                                  *
*                                                                             *
* Copyright (c) 1993, 1994, Association of Universities for Research in       *
* Astronomy, Inc.  All Rights Reserved.                                       *
* Produced under National Aeronautics and Space Administration grant          *
* NAG W-2166.                                                                 *
******************************************************************************/
#ifndef __IMGSNLST__
#define __IMGSNLST__

#include "imgsectn.h"
#include "lnkd_lst.h"

/****************************************
* Image Section List derived data types *
****************************************/
typedef LL      IS_LIST ; /* Linked list of fields           */
typedef LL_NODE ISL_NODE; /* Node in a linked list of fields */

/*******************************************
* Image Section List functions' prototypes *
*******************************************/
void    Add_Image_Section_to_List      (/* IS_LIST       List         ,
					   IMAGE_SECTION Image_Section */);

IS_LIST Create_Empty_Image_Section_List(/* void                        */);

void    Delete_Image_Section_List      (/* IS_LIST       List          */);

void    Delete_Image_Section_List_Data (/* IS_LIST       List          */);

#endif
